/**
 * Sizes related mixins.
 */

/**
 * Aspect ratio.
 * @dependendies
 *     center mixin
 */
@mixin aspect-ratio($width, $height, $selector: '> *:first-child') {
    position: relative;

    &::before {
        content: '';
        display: block;
        padding-top: ($height / $width) * 100%;
        width: 100%;
    }

    #{$selector} {
        @include center;
    }
}
